cundina/cundina/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include("home.urls", namespace="home")),
    path('', include("onv.urls", namespace="onv")),
    path('', include("shi.urls", namespace="shi")),
]

cundina/onv/urls.py
from django.urls import path

from onv import views

app_name = "onv"

urlpatterns = [
    path('list_contribuyente/', views.ListContribuyente.as_view(), name="list_contribuyente"),
    path('new_contribuyente/', views.NewContribuyente.as_view(), name="new_contribuyente"),
    path('update_contribuyente/<int:pk>/', views.UpdateContribuyente.as_view(), name="update_contribuyente"),
    path('delete_contribuyente/<int:pk>/', views.DeleteContribuyente.as_view(), name="delete_contribuyente"),
    path('new_aporte/', views.NewAporte.as_view(), name="new_aporte"),
    path('list_aporte/', views.ListAporte.as_view(), name="list_aporte"),
    path('update_aporte/<int:pk>/', views.UpdateAporte.as_view(), name="update_aporte"),
    path('delete_aporte/<int:pk>/', views.DeleteAporte.as_view(), name="delete_aporte"),
    path('detail_contribuyente/<int:pk>/', views.DetailContribuyente.as_view(), name="detail_contribuyente"),
    path('detail_aporte/<int:pk>/', views.DetailAporte.as_view(), name="detail_aporte"),
    path('ws/list_contribuyente/', views.wsList, name="ws_list_contribuyente"),
    path('list_gerente/', views.ListGerente.as_view(), name="list_gerente"),
    path('new_gerente/', views.NewGerente.as_view(), name="new_gerente"),
    path('update_gerente/<int:pk>/', views.UpdateGerente.as_view(), name="update_gerente"),
    path('delete_gerente/<int:pk>/', views.DeleteGerente.as_view(), name="delete_gerente"),
    path('list_cundina/', views.ListCundina.as_view(), name="list_cundina"),
    path('new_cundina/', views.NewCundina.as_view(), name="new_cundina"),
    path('update_cundina/<int:pk>/', views.UpdateCundina.as_view(), name="update_cundina"),
    path('delete_cundina/<int:pk>/', views.DeleteCundina.as_view(), name="delete_cundina"),

    ]

cundina/onv/models.py
from django.db import models
from django.contrib.auth.models import User



# Create your models here.

class GerenteQuerySet(models.QuerySet):
    def old(self):
        return self.filter(id__lt=3)


class BaseModel(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    status = models.BooleanField(default=True)
    timestamp = models.DateTimeField(auto_now_add=True)
    update = models.DateTimeField(auto_now=True)
    user_update = models.IntegerField(blank=True, null=True)


    class Meta:
        abstract = True


class Contribuyente(BaseModel):
    description = models.CharField(
        max_length = 128,
        help_text = "Contribuyente Description",
        unique = True
    )

    def __str__(self):
        return "{}".format(self.description)

    def save(self):
        self.description = self.description.upper()
        super(Contribuyente, self).save()

    class Meta:
        verbose_name_plural = "Contribuyentes"


class Aporte(BaseModel):
    contribuyente = models.ForeignKey(Contribuyente, on_delete=models.CASCADE)
    description = models.CharField(
        max_length = 128,
        help_text = "Aporte Description"
    )

    def __str__(self):
        return "{0} - {1}".format(self.contribuyente.description, self.description)


    def save(self):
        self.description = self.description.upper()
        super(Aporte, self).save()

    class Meta:
        verbose_name_plural = "Aportes"
        unique_together = ("contribuyente", "description")

class Gerente(BaseModel):
    objects = GerenteQuerySet.as_manager()
    description = models.CharField(
        max_length = 128,
        help_text = "Description Gerente",
        unique = True
    )

    def __str__(self):
        return "{}".format(self.description)

    def save(self):
        self.description = self.description.upper()
        super(Gerente, self).save()

    class Meta:
        verbose_name_plural = "Gerentes"



class Cundina(BaseModel):
    description = models.CharField(
        max_length = 128,
        help_text = "Cundina Description",
        unique = True
    )

    def __str__(self):
        return "{}".format(self.description)

    def save(self):
        self.description = self.description.upper()
        super(Cundina, self).save()

    class Meta:
        verbose_name_plural = "Cundinas"

cundina/onv/forms.py
from django import forms

from .models import Contribuyente, Aporte, Gerente, Cundina

class NewContribuyenteForm(forms.ModelForm):
    class Meta:
        model = Contribuyente
        fields = [
            "description",
            "status",
        ]
        labels = {
            "description": "Category",
            "status": "Status"
        }
        widget = {
            "description": forms.TextInput
        }

    def __init__(self, *args, **kwargs):
            super().__init__(*args, **kwargs)
            for field in iter(self.fields):
                self.fields[field].widget.attrs.update({
                    "class": "form-control"
                })
class NewAporteForm(forms.ModelForm):
    class Meta:
        model = Aporte
        fields = [
            "contribuyente",
            "description",
            "status",
        ]
        labels = {
            "description": "Contribuyente",
            "status": "Status"
        }
        widget = {
            "description": forms.TextInput
        }

    def __init__(self, *args, **kwargs):
            super().__init__(*args, **kwargs)
            for field in iter(self.fields):
                self.fields[field].widget.attrs.update({
                    "class": "form-control"
                })
            self.fields["contribuyente"].empty_label = "Choose Contribuyentes"

class GerenteForm(forms.ModelForm):
    class Meta:
        model = Gerente
        fields = [
            "description",
            "status",
        ]
        labels = {
            "description": "Brand",
            "status": "Status"
        }
        widget = {
            "description": forms.TextInput
        }

    def __init__(self, *args, **kwargs):
            super().__init__(*args, **kwargs)
            for field in iter(self.fields):
                self.fields[field].widget.attrs.update({
                    "class": "form-control"
                })


class CundinaForm(forms.ModelForm):
    class Meta:
        model = Cundina
        fields = [
            "description",
            "status",
        ]
        labels = {
            "description": "Cundina",
            "status": "Status"
        }
        widget = {
            "description": forms.TextInput
        }

    def __init__(self, *args, **kwargs):
            super().__init__(*args, **kwargs)
            for field in iter(self.fields):
                self.fields[field].widget.attrs.update({
                    "class": "form-control"
                })

cundina/onv/views.py
from django.shortcuts import render
from django.urls import reverse_lazy

from django.views import generic
from django.contrib.auth.mixins import LoginRequiredMixin

from django.http import JsonResponse, HttpResponse
from django.core import serializers

from .models import Contribuyente, Aporte, Cundina, Gerente
from .forms import NewContribuyenteForm, NewAporteForm, CundinaForm, GerenteForm

# Create your views here.



##### RETRIEVE (List, Detail) #####
## generic.ListView
class ListContribuyente(LoginRequiredMixin, generic.ListView):
    template_name = "onv/list_contribuyente.html"
    model = Contribuyente
    context_object_name = "obj"
    login_url = "home:login"

## generic.DetailView
class DetailContribuyente(LoginRequiredMixin, generic.DetailView):
    template_name = "onv/detail_contribuyente.html"
    model = Contribuyente
    login_url = "home:login"
    context_object_name = "obj"



##### CREATE #####
## generic.CreateView
class NewContribuyente(LoginRequiredMixin, generic.CreateView):
    template_name = "onv/new_contribuyente.html"
    model = Contribuyente
    context_object_name = "obj"
    form_class = NewContribuyenteForm
    login_url = "home:login"
    success_url = reverse_lazy("onv:list_contribuyente")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)

##### UPDATE #####
## generic.UpdateView
class UpdateContribuyente(LoginRequiredMixin, generic.UpdateView):
    template_name = "onv/update_contribuyente.html"
    model = Contribuyente
    context_object_name = "obj"
    form_class = NewContribuyenteForm
    login_url = "home:login"
    success_url = reverse_lazy("onv:list_contribuyente")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)



##### DELETE #####
## generic.DeleteView
class DeleteContribuyente(LoginRequiredMixin, generic.DeleteView):
    template_name = "onv/delete_contribuyente.html"
    model = Contribuyente
    context_object_name = "obj"
    login_url = "home:login"
    success_url = reverse_lazy("onv:list_contribuyente")

class ListAporte(LoginRequiredMixin, generic.ListView):
    template_name = "onv/list_aporte.html"
    model = Aporte
    context_object_name = "obj"
    login_url = "home:login"


class DetailAporte(LoginRequiredMixin, generic.DetailView):
    template_name = "onv/detail_aporte.html"
    model = Aporte
    login_url = "home:login"
    context_object_name = "obj"


##### CREATE #####
## generic.CreateView
class NewAporte(LoginRequiredMixin, generic.CreateView):
    template_name = "onv/new_aporte.html"
    model = Aporte
    context_object_name = "obj"
    form_class = NewAporteForm
    login_url = "home:login"
    success_url = reverse_lazy("onv:list_aporte")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)


##### UPDATE #####
## generic.UpdateView
class UpdateAporte(LoginRequiredMixin, generic.UpdateView):
    template_name = "onv/update_aporte.html"
    model = Aporte
    context_object_name = "obj"
    form_class = NewAporteForm
    login_url = "home:login"
    success_url = reverse_lazy("onv:list_aporte")


    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)

##### DELETE #####
## generic.DeleteView
class DeleteAporte(LoginRequiredMixin, generic.DeleteView):
    template_name = "onv/delete_aporte.html"
    model = Aporte
    context_object_name = "obj"
    success_url = reverse_lazy("onv:list_aporte")
    login_url = "home:login"


##### API's #####
## ws JSON

def wsList(request):
    data = serializers.serialize('json', Category.objects.filter(status=False))
    return HttpResponse(data, content_type="application/json")

class ListGerente(LoginRequiredMixin, generic.ListView):
    template_name = "onv/list_gerente.html"
    model = Gerente
    context_object_name = "obj"
    login_url = "home:login"


class NewGerente(LoginRequiredMixin, generic.CreateView):
    template_name = "onv/new_gerente.html"
    model = Gerente
    form_class = GerenteForm
    login_url = "home:login"
    context_object_name = "obj"
    success_url = reverse_lazy("onv:list_gerente")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)


class UpdateGerente(LoginRequiredMixin, generic.UpdateView):
    template_name = "onv/update_gerente.html"
    model = Gerente
    form_class = GerenteForm
    login_url = "home:login"
    context_object_name = "obj"
    success_url = reverse_lazy("onv:list_gerente")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)


class DeleteGerente(LoginRequiredMixin, generic.DeleteView):
    template_name = "onv/delete_gerente.html"
    model = Gerente
    context_object_name = "obj"
    success_url = reverse_lazy("onv:list_gerente")
    login_url = "home:login"



##### CRUD Measure #####


##### RETRIEVE (List, Detail) #####
## generic.ListView
class ListCundina(LoginRequiredMixin, generic.ListView):
    template_name = "onv/list_cundina.html"
    model = Cundina
    context_object_name = "obj"
    login_url = "home:login"

## generic.DetailView
# class DetailCategory(LoginRequiredMixin, generic.DetailView):
#     template_name = "inv/detail_category.html"
#     model = Category
#     login_url = "home:login"
#     context_object_name = "obj"



##### CREATE #####
## generic.CreateView
class NewCundina(LoginRequiredMixin, generic.CreateView):
    template_name = "onv/new_cundina.html"
    model = Cundina
    context_object_name = "obj"
    form_class = CundinaForm
    login_url = "home:login"
    success_url = reverse_lazy("onv:list_cundina")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)

##### UPDATE #####
## generic.UpdateView
class UpdateCundina(LoginRequiredMixin, generic.UpdateView):
    template_name = "onv/update_cundina.html"
    model = Cundina
    context_object_name = "obj"
    form_class = CundinaForm
    login_url = "home:login"
    success_url = reverse_lazy("onv:list_cundina")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)



##### DELETE #####
## generic.DeleteView
class DeleteCundina(LoginRequiredMixin, generic.DeleteView):
    template_name = "onv/delete_cundina.html"
    model = Cundina
    context_object_name = "obj"
    login_url = "home:login"
    success_url = reverse_lazy("onv:list_cundina")

cundina/templates/onv/delete_aporte.html
{% extends "base.html" %}

{% block title %}DeleteAporte{% endblock title%}


{% block page_content %}
  ¿Realmente quieres eliminar al objeto <h3>{{ obj }}</h3>?
  <form action="" method="post">
    {% csrf_token %}
    <button type="submit" name="button" class="btn btn-circle btn-lg btn-danger">Yes</button>
    <a href="{% url 'onv:list_aporte' %}" class="btn btn-circle btn-lg btn-warning">No</a>
  </form>

{% endblock page_content %}

cundina/templates/onv/delete_contribuyente.html
{% extends "base.html" %}

{% block title %}DeleteContribuyentes{% endblock title%}


{% block page_content %}
  ¿Realmente quieres eliminar al objeto <h3>{{ obj }}</h3>?
  <form action="" method="post">
    {% csrf_token %}
    <button type="submit" name="button" class="btn btn-circle btn-lg btn-danger">Yes</button>
    <a href="{% url 'onv:list_contribuyente' %}" class="btn btn-circle btn-lg btn-warning">No</a>
  </form>

{% endblock page_content %}

cundina/templates/onv/delete_cundina.html
{% extends "base.html" %}

{% block title %}DeleteCundina{% endblock title%}


{% block page_content %}
  ¿Realmente quieres eliminar al objeto <h3>{{ obj }}</h3>?
  <form action="" method="post">
    {% csrf_token %}
    <button type="submit" name="button" class="btn btn-circle btn-lg btn-danger">Yes</button>
    <a href="{% url 'onv:list_cundina' %}" class="btn btn-circle btn-lg btn-warning">No</a>
  </form>

{% endblock page_content %}

cundina/templates/onv/delete_gerente.html
{% extends "base.html" %}

{% block title %}DeleteGerente{% endblock title%}


{% block page_content %}
  ¿Realmente quieres eliminar al objeto <h3>{{ obj }}</h3>?
  <form action="" method="post">
    {% csrf_token %}
    <button type="submit" name="button" class="btn btn-circle btn-lg btn-danger">Yes</button>
    <a href="{% url 'onv:list_gerente' %}" class="btn btn-circle btn-lg btn-warning">No</a>
  </form>

{% endblock page_content %}

cundina/templates/onv/detail_aporte.html
{% extends 'base.html' %}
{% block title %}Detail SubCategory{% endblock title %}

{% block page_content %}
  {{ obj }}
  {{ obj.user }}
  {{ obj.timestamp }}
{% endblock page_content %}

cundina/templates/onv/list_aporte.html
{% extends "base.html" %}

{% block title %}Aportes List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Aportes</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href="{% url 'onv:new_aporte' %}"><i class="far fa-calendar-plus"></i>Aporte</a>
        <a class="dropdown-item" href=""></a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> Not Aportes Yet!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> contribuyente </th>
          <th> Aporte </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <th>{{ item.id }}</th>
               <th> {{ item.contribuyente}}</th>
               <th>{{ item.description }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="{% url 'onv:update_aporte' item.pk %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="{% url 'onv:delete_aporte' item.pk %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

cundina/templates/onv/list_contribuyente.html
{% extends "base.html" %}

{% block title %}Categories List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Contribuyentes</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href="{% url 'onv:new_contribuyente' %}"><i class="far fa-calendar-plus"></i></a>
        <a class="dropdown-item" href=""></a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> Not Categories Yet!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> Description </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <th>{{ item.id }}</th>
               <th>{{ item.description }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="{% url 'onv:update_contribuyente' item.pk %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="{% url 'onv:delete_contribuyente' item.pk %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

{% block js_scripts %}
  <script type="text/javascript">
    // Call the DataTable JQuery plugin//
    $(document).ready(function(){
      $('.table').DataTable();
    });
  </script>>
{% endblock js_scripts %}

cundina/templates/onv/list_cundina.html
{% extends "base.html" %}

{% block title %}cundina List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Personal Savings</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href="{% url 'onv:new_cundina' %}"><i class="far fa-calendar-plus"></i>New Savings</a>
        <a class="dropdown-item" href="">Another Action</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> Not savings Yet!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> Description </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <th>{{ item.id }}</th>
               <th>{{ item.description }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="{% url 'onv:update_cundina' item.pk %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="{% url 'onv:delete_cundina' item.pk %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

{% block js_scripts %}
  <script type="text/javascript">
    // Call the DataTable JQuery plugin//
    $(document).ready(function(){
      $('.table').DataTable();
    });
  </script>>
{% endblock js_scripts %}

cundina/templates/onv/list_gerente.html
{% extends "base.html" %}

{% block title %}gerente List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Managers</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href="{% url 'onv:new_gerente' %}"><i class="far fa-calendar-plus"></i>New Manager</a>
        <a class="dropdown-item" href="">Another Action</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> Not Managers Yet!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> Description </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <th>{{ item.id }}</th>
               <th>{{ item.description }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="{% url 'onv:update_gerente' item.pk %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="{% url 'onv:delete_gerente' item.pk %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

{% block js_scripts %}
  <script type="text/javascript">
    // Call the DataTable JQuery plugin//
    $(document).ready(function(){
      $('.table').DataTable();
    });
  </script>>
{% endblock js_scripts %}

cundina/templates/onv/new_contribuyente.html
{% extends "base.html" %}

{% block title %} NewContribuyente {% endblock title %}


{% block page_content %}
  <form method="post" class="form-inline" action="">
    {% csrf_token %}
    {{ form }}
    <button type="submit" class="btn btn-success btn-circle btn-lg" name="button">Save</button>
    <a href="{% url 'onv:list_contribuyente' %} " class="btn btn-circle btn-warning btn-lg">Back</a>
  </form>
{% endblock page_content %}

cundina/templates/onv/new_cundina.html
{% extends "base.html" %}

{% block title %} NewCundina {% endblock title %}


{% block page_content %}
  <form method="post" class="form-inline" action="">
    {% csrf_token %}
    {{ form }}
    <button type="submit" class="btn btn-success btn-circle btn-lg" name="button">Save</button>
    <a href="{% url 'onv:list_cundina' %} " class="btn btn-circle btn-warning btn-lg">Back</a>
  </form>
{% endblock page_content %}

cundina/templates/onv/update_aporte.html
{% extends "base.html" %}

{% block title %} UpdateAporte {% endblock title %}


{% block page_content %}
  <form method="post" class="form-inline" action="">
    {% csrf_token %}
    {{ form }}
    <button type="submit" class="btn btn-success btn-circle btn-lg" name="button">Save</button>
    <a href="{% url 'onv:list_aporte' %} " class="btn btn-circle btn-warning btn-lg">Back</a>
  </form>
{% endblock page_content %}

cundina/templates/onv/update_contribuyente.html
{% extends "base.html" %}

{% block title %} UpdateContribuyente {% endblock title %}


{% block page_content %}
  <form method="post" class="form-inline" action="">
    {% csrf_token %}
    {{ form }}
    <button type="submit" class="btn btn-success btn-circle btn-lg" name="button">Save</button>
    <a href="{% url 'onv:list_contribuyente' %} " class="btn btn-circle btn-warning btn-lg">Back</a>
  </form>
{% endblock page_content %}

cundina/templates/onv/update_cundina.html
{% extends "base.html" %}

{% block title %} UpdateBrand {% endblock title %}


{% block page_content %}
  <form method="post" class="form-inline" action="">
    {% csrf_token %}
    {{ form }}
    <button type="submit" class="btn btn-success btn-circle btn-lg" name="button">Save</button>
    <a href="{% url 'onv:list_cundina' %} " class="btn btn-circle btn-warning btn-lg">Back</a>
  </form>
{% endblock page_content %}